package com.ssj.service.conch.schoolmaster.request;
import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

public class TeacherInfoRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "teacherId", value = "老师id", required = true)
    private String teacherId;

    @ApiModelProperty(name = "teacherName", value = "老师姓名", required = false)
    private String teacherName;
    
    @ApiModelProperty(name = "sex", value = "性别 1男 2女", required = false)
    private int sex;
    
    @ApiModelProperty(name = "subjectName", value = "教学科目", required = false)
    private String subjectName;
    
    @ApiModelProperty(name = "phone", value = "电话", required = false)
    private String phone;

	@ApiModelProperty(name = "schoolAge", value = "教龄", required = false)
	private Integer schoolAge; //教龄

	@ApiModelProperty(name = "personalLabel", value = "个人标签", required = false)
	List<String> personalLabel = new ArrayList<String>();
	@ApiModelProperty(name = "personalInfo", value = "个人简介", required = false)
	private String personalInfo; //个人简介
	@ApiModelProperty(name = "teachPoint", value = "教学特点", required = false)
	private String teachPoint;//教学特点
	@ApiModelProperty(name = "successfulCase", value = "成功案例", required = false)
	private String successfulCase;//成功案例

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	public int getSex() {
		return sex;
	}

	public void setSex(int sex) {
		this.sex = sex;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getSchoolAge() {
		return schoolAge;
	}

	public void setSchoolAge(Integer schoolAge) {
		this.schoolAge = schoolAge;
	}

	public List<String> getPersonalLabel() {
		return personalLabel;
	}

	public void setPersonalLabel(List<String> personalLabel) {
		this.personalLabel = personalLabel;
	}

	public String getPersonalInfo() {
		return personalInfo;
	}

	public void setPersonalInfo(String personalInfo) {
		this.personalInfo = personalInfo;
	}

	public String getTeachPoint() {
		return teachPoint;
	}

	public void setTeachPoint(String teachPoint) {
		this.teachPoint = teachPoint;
	}

	public String getSuccessfulCase() {
		return successfulCase;
	}

	public void setSuccessfulCase(String successfulCase) {
		this.successfulCase = successfulCase;
	}
}
